package com.hdkj.fhzg.entity;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author zhangfan
 * @date 2021/9/15/0015
 */
@Getter
@AllArgsConstructor
public enum ResultEnum{
    /**
     * 返回成功
     */
    SUCCESS(1000, "返回成功"),
    /**
     * 数据处理成功
     */
    PROCESS_SUCCESS(1001, "数据处理成功"),
    /**
     * 上传文件成功
     */
    UPLOAD_SUCCESS(1002, "上传文件成功"),
    /**
     * 数据模板导入成功
     */
    TEMPLATE_IMPORT_SUCCESS(1005, "数据模板导入成功"),
    /**
     * 数据处理失败
     */
    PROCESS_FAILED(-1001, "数据处理失败"),
    /**
     * 上传文件失败
     */
    UPLOAD_FAILED(-1002, "上传文件失败"),
    /**
     * 导出文件失败
     */
    DOWNLOAD_FAILED(-1003, "导出文件失败"),
    /**
     * token验证失败
     */
    TOKEN_FAILED(-1004, "token验证失败"),
    /**
     * token验证成功
     */
    TOKEN_SUCCESS(1004, "token验证成功"),
    /**
     * 数据模板导入失败
     */
    TEMPLATE_IMPORT_FAILED(-1005, "数据模板导入失败"),
    /**
     * 返回失败
     */
    FAILED(-1000, "返回失败"),
    /**
     * 参数校验错误
     */
    VALIDATE_FAILED(-1007, "参数校验错误"),
    /**
     * 登录失败
     */
    LOGIN_FAILED(-1006, "登录失败"),
    /**
     * 登录成功
     */
    LOGIN_SUCCESS(1006, "登录成功"),
    /**
     * 无访问权限
     */
    RESOURCES_SUCCESS(1009, "无访问权限"),
    /**
     * 无使用权限
     */
    NOT_ALLOWED(-1009, "无使用权限"),
    /**
     * 请稍后再试
     */
    BLOCK_HANDLER(-9999, "请稍后再试"),
    /**
     * 异常访问
     */
    FALLBACK(-9998, "异常访问"),
    /**
     * 服务异常，请联系管理员
     */
    EXCEPTION_HANDLER(-2500, "服务异常，请联系管理员"),
    /**
     * OK
     */
    OK(200, "OK"),
    /**
     * Created
     */
    CREATED(201, "Created"),
    /**
     * Accepted
     */
    ACCEPTED(202, "Accepted"),
    /**
     * No Content
     */
    NO_CONTENT(204, "No Content"),
    /**
     * Reset Content
     */
    RESET_CONTENT(205, "Reset Content"),
    /**
     * Bad Request
     */
    BAD_REQUEST(400, "Bad Request"),
    /**
     * Unauthorized
     */
    UNAUTHORIZED(401, "Unauthorized"),
    /**
     * Payment Required
     */
    PAYMENT_REQUIRED(402, "Payment Required"),
    /**
     * Forbidden
     */
    FORBIDDEN(403, "Forbidden"),
    /**
     * Not Found
     */
    NOT_FOUND(404, "Not Found"),
    /**
     * Method Not Allowed
     */
    METHOD_NOT_ALLOWED(405, "Method Not Allowed"),
    /**
     * Request Timeout
     */
    REQUEST_TIMEOUT(408, "Request Timeout"),
    /**
     * Internal Server Error
     */
    INTERNAL_SERVER_ERROR(500, "Internal Server Error"),
    /**
     * Not Implemented
     */
    NOT_IMPLEMENTED(501, "Not Implemented"),
    /**
     * Bad Gateway
     */
    BAD_GATEWAY(502, "Bad Gateway"),
    /**
     * Service Unavailable
     */
    SERVICE_UNAVAILABLE(503, "Service Unavailable"),
    /**
     * Gateway Timeout
     */
    GATEWAY_TIMEOUT(504, "Gateway Timeout"),

    /**
     *  待办开始
     *  */
    TODO_ERROR(12001, "工单待办失败"),
    /**
     * 待办已创建
     */
    TODO_EXIST(12002, "待办已创建"),
    /* 待办定义结束 */
    /**
     * 同步ERP数据失败
     */
    ERP_SYNC_ERROR(-2001, "同步ERP数据失败"),
    /**
     * 同步设备管理数据失败
     */
    DEVICE_MANAGE_SYNC_ERROR(-2002, "同步设备管理数据失败"),
    /**
     * 格式校验失败
     */
    PATTERN_ERROR(-2003, "格式校验失败"),
    /**
     * 文件上传失败
     */
    FILE_IMPORT_ERROR(-2004, "文件上传失败"),
    /**
     * 已有同时间变更,请查实后填写
     */
    CHANGE_ERROR(-2006, "已有同时间变更,请查实后填写"),
    /**
     * 文件上传大小超过最大限制
     */
    FILE_SIZE_ERROR(-2005, "文件上传大小超过最大限制"),
    /**
     * 发送金现代接口请求失败
     */
    SEND_REQUEST_ERROR(-1000, "发送金现代接口请求失败"),
    /**
     * 生成模版失败
     */
    MAKE_TEMPLATE_ERROR(-1000, "生成模版失败"),
    /**
     * 参数错误或参数为空
     */
    PARAMETER_ERROR(40001, "参数错误或参数为空"),
    BID_CODE_ERROR(40002, "系统已存在相同的招标采购项目编号，请重新确认！"),
    /**
     * 服务器内部错误
     */
    SERVER_ERROR(50001, "服务器内部错误"),
    /* 基础数据结束 */
            ;

    private final Integer code;
    private final String msg;

}
